import { Tree } from '@angular-devkit/schematics';
import { SourceFile } from '@schematics/angular/third_party/github.com/Microsoft/TypeScript/lib/typescript';
import { Change } from '@schematics/angular/utility/change';
import { ResolvedAppConfig } from '@schematics/angular/utility/standalone/app_config';
/**
 * @internal
 */
export declare const guessLineIndentationAtPosition: (sourceFile: SourceFile, position: number) => number;
/**
 * @internal
 */
export declare const getIndentBy: (tree: Tree, filePath: string, position: number) => (n: number) => string;
/**
 * @internal
 */
export declare const removeSymbolFromNgModuleMetadata: (sourceFile: SourceFile, filePath: string, metadataField: string, classifiedName: string) => Change;
/**
 * @internal
 */
export declare const removeProviderFromStandaloneApplication: (tree: Tree, mainFilePath: string, providerName: string) => void;
/**
 * @internal
 */
export declare const addProviderToStandaloneApplication: (tree: Tree, mainFilePath: string, providerName: string, useImportProvidersFrom?: boolean, indent?: number) => void;
/**
 * @internal
 */
export declare const getStandaloneApplicationConfig: (tree: Tree, mainFilePath: string) => ResolvedAppConfig | null;
